<?php

$show_thumbs = FLTheme::get_setting( 'fl-posts-show-thumbs' );

?>
<article <?php post_class( 'fl-post' ); ?> id="fl-post-<?php the_ID(); ?>" itemscope
                                           itemtype="http://schema.org/BlogPosting">

	<?php if ( has_post_thumbnail() && ! empty( $show_thumbs ) ) : ?>
		<?php if ( $show_thumbs == 'above-title' ) : ?>
            <div class="fl-post-thumb">
				<?php the_post_thumbnail( 'large', array( 'itemprop' => 'image' ) ); ?>
            </div>
		<?php endif; ?>
	<?php endif; ?>

    <header class="fl-post-header">
		<?php if ( 'visible' == FLTheme::get_setting( 'fl-posts-show-title' ) ) : ?>
            <h1 class="fl-post-title" itemprop="headline">
				<?php the_title(); ?>
				<?php edit_post_link( _x( 'Edit', 'Edit post link text.', 'wipi' ) ); ?>
            </h1>
		<?php endif; ?>
		<?php FLTheme::post_top_meta(); ?>
    </header><!-- .fl-post-header -->

	<?php if ( has_post_thumbnail() && ! empty( $show_thumbs ) ) : ?>
<?php if ( $show_thumbs == 'above' ) : ?>
    <div class="fl-post-thumb">
		<?php the_post_thumbnail( 'large' ); ?>
    </div>
<?php endif; ?>

<?php if ( $show_thumbs == 'beside' ) : ?>
    <div class="row">
        <div class="col-md-3 col-sm-3">
            <div class="fl-post-thumb">
				<?php the_post_thumbnail( 'thumbnail' ); ?>
            </div>
        </div>
        <div class="col-md-9 col-sm-9">
			<?php endif; ?>
			<?php endif; ?>

            <div class="fl-post-content clearfix" itemprop="text">
				<?php

				the_content();

				wp_link_pages( array(
					'before'         => '<div class="fl-post-page-nav">' . _x( 'Pages:', 'Text before page links on paginated post.', 'wipi' ),
					'after'          => '</div>',
					'next_or_number' => 'number'
				) );

				?>
            </div><!-- .fl-post-content -->

			<?php if ( has_post_thumbnail() && $show_thumbs == 'beside' ) : ?>
        </div>
    </div>
<?php endif; ?>

	<?php FLTheme::post_bottom_meta(); ?>

	<?php if ( 'yes' == FLTheme::get_setting( 'show-social-share' ) ) : ?>
        <div class="fl-social-sharing-box">
            <h4 class="fl-social-sharing-text"><?php _e( 'Share this post:', 'wipi' ); ?></h4>
            <div class="fl-social-sharing-icons">
				<?php FLTheme::post_sharing_icons(); ?>
            </div>
        </div>
	<?php endif; ?>

	<?php FLTheme::post_navigation(); ?>

	<?php do_action( 'wipi_sidebar_open' );
	dynamic_sidebar( 'after-post-above-comments-sidebar' );
	do_action( 'wipi_sidebar_close' ); ?>
	<?php comments_template(); ?>
	<?php do_action( 'wipi_sidebar_open' );
	dynamic_sidebar( 'after-post-below-comments-sidebar' );
	do_action( 'wipi_sidebar_close' ); ?>

</article>
<!-- .fl-post -->
