<?php
/*

WARNING! DO NOT EDIT THEME FILES IF YOU PLAN ON UPDATING!

Theme files will be overwritten and your changes will be lost
when updating. Instead, add custom code in the admin under
Appearance > Theme Settings > Code or create a child theme.

*/


// Defines
define( 'WIPI_THEME', true );
define( 'WIPI_THEME_VERSION', '1.3.2' );
define( 'WIPI_THEME_DIR', get_template_directory() );
define( 'WIPI_THEME_URL', get_template_directory_uri() );
if ( ! defined( 'WIPI_THEME_MENU_SLUG' ) ) {
	define( 'WIPI_THEME_MENU_SLUG', 'wipi' );
}

// Classes
require_once 'includes/translation-strings.php';
require_once 'classes/class-fl-color.php';
require_once 'classes/class-fl-customizer.php';
require_once 'classes/class-fl-fonts.php';
require_once 'classes/class-fl-theme.php';
require_once 'classes/class-fl-theme-update.php';
require_once 'classes/class-fl-theme-woocommerce.php';
require_once 'classes/class-fl-admin-about.php';
require_once 'classes/class-fl-theme-breadcrumbs.php';
require_once 'classes/class-tgm-plugin-activation.php';

// Theme Actions
add_action( 'after_setup_theme', 'FLTheme::setup' );
add_action( 'init', 'FLTheme::init_woocommerce' );
add_action( 'wp_enqueue_scripts', 'FLTheme::enqueue_scripts', 999 );
add_action( 'widgets_init', 'FLTheme::widgets_init' );
add_action( 'wp_footer', 'FLTheme::go_to_top' );
add_action( 'tgmpa_register', 'FlTheme::required_plugins' );

// Theme Filters
add_filter( 'body_class', 'FLTheme::body_class' );
add_filter( 'excerpt_more', 'FLTheme::excerpt_more' );
add_filter( 'wp_nav_menu_items', 'FLTheme::search_menu_item', 999, 2 );


// Theme Updates
add_action( 'init', 'FLThemeUpdate::init' );

// Admin Actions
add_action( 'init', 'FLTheme::admin_actions', 0 );
add_action( 'admin_head', 'FLTheme::admin_head', 3 );
add_action( 'admin_enqueue_scripts', 'FLTheme::admin_enqueue_scripts', 999 );
add_action( 'admin_menu', 'FLTheme::admin_pages', 3 );
add_action( 'admin_notices', 'FLTheme::upress_ad' );
add_action( 'admin_enqueue_scripts', 'FLTheme::upress_ad_scripts' );
add_action( 'wp_ajax_wipi_dismiss_upress_ad', 'FLTheme::upress_ad_dismiss' );
add_action( 'wp_ajax_nopriv_wipi_dismiss_upress_ad', 'FLTheme::upress_ad_dismiss' );

// Customizer
add_action( 'customize_preview_init', 'FLCustomizer::preview_init' );
add_action( 'customize_controls_enqueue_scripts', 'FLCustomizer::controls_enqueue_scripts' );
add_action( 'customize_controls_print_footer_scripts', 'FLCustomizer::controls_print_footer_scripts' );
add_action( 'customize_register', 'FLCustomizer::register' );
add_action( 'customize_save_after', 'FLCustomizer::save' );
add_action( 'wp_ajax_wipi_customizer_clear_cache', 'FLCustomizer::ajax_clear_cache' );
add_action( 'wp_ajax_nopriv_wipi_customizer_clear_cache', 'FLCustomizer::ajax_clear_cache' );

// Woocommerce Customizations
add_action( 'woocommerce_init', 'FLWoocommerce::init' );
