<?php

/* Content Panel */
FLCustomizer::add_panel('fl-content', array(
	'title'    => _x( 'Content', 'Customizer panel title.', 'wipi' ),
	'sections' => array(

		/* Content Background Section */
		'fl-content-bg' => array(
			'title'   => _x( 'Content Background', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Content Background Color */
				'fl-content-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Background Color', 'wipi')
					)
				),

				/* Content Background Opacity */
				'fl-content-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity (%)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),	
				
				/* Content Background Image */
				'fl-content-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Content Background Repeat */
				'fl-content-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Content Background Position */
				'fl-content-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Content Background Attachment */
				'fl-content-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Content Background Size */
				'fl-content-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),

				/* Lightbox */
				'fl-lightbox' => array(
					'setting'   => array(
						'default'   => 'enabled'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Lightbox', 'wipi'),
						'description'   => __( 'Open lightbox - enable to all linked images in your website, except Woocommerce pages', 'wipi' ),
						'type'          => 'select',
						'choices'       => array(
							'enabled'           => __('Enabled', 'wipi'),
							'disabled'          => __('Disabled', 'wipi')
						)
					)
				),
			)
		),

		/* Blog Section */
		'fl-content-blog' => array(
			'title'   => _x( 'Blog Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Blog Layout */
				'fl-blog-layout' => array(
					'setting'   => array(
						'default'   => 'sidebar-right'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Sidebar Position', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'sidebar-right'     => _x('Sidebar Right', 'inverted for RTL', 'wipi'),
							'sidebar-left'      => _x('Sidebar Left', 'inverted for RTL', 'wipi'),
							'no-sidebar'        => __('No Sidebar', 'wipi')
						)
					)
				),

				/* Blog Sidebar Size */
				'fl-blog-sidebar-size' => array(
					'setting'   => array(
						'default'   => '4'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Sidebar Size', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'4'      => _x( 'Large', 'Sidebar size.', 'wipi' ),
							'3'      => _x( 'Medium', 'Sidebar size.', 'wipi' ),
							'2'      => _x( 'Small', 'Sidebar size.', 'wipi' ),
							'custom' => _x( 'Custom', 'Sidebar size.', 'wipi' )
						)
					)
				),

				/* Custom Blog Sidebar Size */
				'fl-blog-custom-sidebar-size' => array(
					'setting'   => array(
						'default'   => '25',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => __('Custom Sidebar Width', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 50,
						    'step' => 1
						),
					)
				),

				/* Blog Sidebar Display */
				'fl-blog-sidebar-display' => array(
					'setting'   => array(
						'default'   => 'desktop'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Sidebar Display', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'desktop'       => __('Desktop Only', 'wipi'),
							'always'        => __('Always', 'wipi')
						)
					)
				),

				/* Line */
				'fl-blog-line1' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* Post Author */
				'fl-blog-post-author' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Post Author', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),

				/* Post Date */
				'fl-blog-post-date' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Post Date', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),

				/* Comment Count */
				'fl-blog-comment-count' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Comment Count', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				)
			)
		),

		/* Archive Pages Section */
		'fl-content-archives' => array(
			'title'   => _x( 'Archive Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Show Full Text */
				'fl-archive-show-full' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Show Full Text', 'wipi'),
						'description'   => __('Whether or not to show the full post. If no, the excerpt will be shown.', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'1'                 => __('Yes', 'wipi'),
							'0'                 => __('No', 'wipi')
						)
					)
				),

				/* Read More Text */
				'fl-archive-readmore-text' => array(
					'setting'   => array(
						'default'           => __('Read More', 'wipi'),
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => __( '"Read More" Text', 'wipi' ),
						'type'  => 'text'
					)
				),

				/* Featured Image */
				'fl-archive-show-thumbs' => array(
					'setting'   => array(
						'default'   => 'above'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Featured Image', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							''                  => __('Hidden', 'wipi'),
							'above-title'       => __('Above Titles', 'wipi'),
							'above'             => __('Above Posts', 'wipi'),
							'beside'            => __('Beside Posts', 'wipi')
						)
					)
				)
			)
		),

		/* Post Pages Section */
		'fl-content-posts' => array(
			'title'   => _x( 'Post Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Featured Image */
				'fl-posts-show-thumbs' => array(
					'setting'   => array(
						'default'   => 'above'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Featured Image', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							''                  => __('Hidden', 'wipi'),
							'above-title'       => __('Above Title', 'wipi'),
							'above'             => __('Above Post', 'wipi'),
							'beside'            => __('Beside Post', 'wipi')
						)
					)
				),

				/* Post Author */
				'fl-posts-show-title' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Post Title', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),

				/* Post Categories */
				'fl-posts-show-cats' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Post Categories', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),

				/* Post Tags */
				'fl-posts-show-tags' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Post Tags', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),

				/* Prev/Next Post Links */
				'fl-posts-show-nav' => array(
					'setting'   => array(
						'default'   => 'hidden'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Prev/Next Post Links', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),
			)
		),

		/* WooCommerce Section */
		'fl-content-woo' => array(
			'title'   => _x( 'WooCommerce Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* WooCommerce Layout */
				'fl-woo-layout' => array(
					'setting'   => array(
						'default'   => 'no-sidebar'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Sidebar Position', 'wipi'),
						'description'   => __('The location of the WooCommerce sidebar.', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'sidebar-right'     => __('Sidebar Right', 'wipi'),
							'sidebar-left'      => __('Sidebar Left', 'wipi'),
							'no-sidebar'        => __('No Sidebar', 'wipi')
						)
					)
				),

				/* WooCommerce Sidebar Size */
				'fl-woo-sidebar-size' => array(
					'setting'   => array(
						'default'   => '4'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Sidebar Size', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'4'      => _x( 'Large', 'Sidebar size.', 'wipi' ),
							'3'      => _x( 'Medium', 'Sidebar size.', 'wipi' ),
							'2'      => _x( 'Small', 'Sidebar size.', 'wipi' ),
							'custom' => _x( 'Custom', 'Sidebar size.', 'wipi' )
						)
					)
				),

				/* Custom WooCommerce Sidebar Size */
				'fl-woo-custom-sidebar-size' => array(
					'setting'   => array(
						'default'   => '25',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => __('Custom Sidebar Width', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 10,
						    'max'  => 50,
						    'step' => 1
						),
					)
				),

				/* WooCommerce Sidebar Display */
				'fl-woo-sidebar-display' => array(
					'setting'   => array(
						'default'   => 'desktop'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Sidebar Display', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'desktop'       => __('Desktop Only', 'wipi'),
							'always'        => __('Always', 'wipi')
						)
					)
				),

				/* Line */
				'fl-woo-line2' => array(
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'type'      => 'line'
					)
				),

				/* WooCommerce CSS */
				'fl-woo-css' => array(
					'setting'   => array(
						'default'   => 'enabled'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __( 'WooCommerce Styling', 'wipi' ),
						'description'   => __( 'Enable or disable the theme\'s custom WooCommerce styles.', 'wipi' ),
						'type'          => 'select',
						'choices'       => array(
							'enabled'           => __('Enabled', 'wipi'),
							'disabled'          => __('Disabled', 'wipi')
						)
					)
				),

				/* Add to Cart Button */
				'fl-woo-cart-button' => array(
					'setting'   => array(
						'default'   => 'hidden'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __( '"Add to Cart" Button', 'wipi' ),
						'description'   => __( 'Show the "Add to Cart" button on product category pages?', 'wipi' ),
						'type'          => 'select',
						'choices'       => array(
							'visible'           => __('Visible', 'wipi'),
							'hidden'            => __('Hidden', 'wipi')
						)
					)
				),

				/* WooCommerce Product Description Display */
				'fl-woo-product-description-display' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Product Description', 'wipi'),
						'description'   => __( 'Show the description in products list?', 'wipi' ),
						'type'          => 'select',
						'choices'       => array(
							'visible'      => __('Visible', 'wipi'),
							'hidden'       => __('Hidden', 'wipi')
						)
					)
				),

				/* WooCommerce Product Description Display */
				'fl-woo-social-share-display' => array(
					'setting'   => array(
						'default'   => 'visible'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Social Share Buttons', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'visible'      => __('Visible', 'wipi'),
							'hidden'       => __('Hidden', 'wipi')
						)
					)
				),
			)
		),

		/* Lightbox Section */
		'fl-lightbox-layout' => array(
			'title'   => _x( 'Lightbox', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Lightbox */
				'fl-lightbox' => array(
					'setting'   => array(
						'default'   => 'enabled'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Lightbox', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'enabled'           => __('Enabled', 'wipi'),
							'disabled'          => __('Disabled', 'wipi')
						)
					)
				)
			)
		),

		/* Side Nav Section */
		'fl-side-nav' => array(
			'title'   => _x( 'Side Navigation Style', 'Customizer section title.', 'wipi' ),
			'options' => array(
				'fl-side-nav-enabled' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Enable Side Navigation', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),

				'fl-side-nav-opacity' => array(
					'setting'   => array(
						'default'   => '65',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => __('Opacity (%)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

				'fl-side-nav-bg-color' => array(
					'setting'   => array(
						'default'   => '#111111'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Background Color', 'wipi')
					)
				),

				'fl-side-nav-border-radius' => array(
					'setting'   => array(
						'default'   => '16',
						'sanitize_callback' => 'FLCustomizer::sanitize_number'
					),
					'control'   => array(
						'class' => 'FLCustomizerControl',
						'label' => __('Border Radius (px)', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
							'min'  => 0,
							'max'  => 100,
							'step' => 1
						),
					)
				),

				'fl-side-nav-icon-color' => array(
					'setting'   => array(
						'default'   => '#666666'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Bullet Color', 'wipi')
					)
				),

				'fl-side-nav-icon-hover-color' => array(
					'setting'   => array(
						'default'   => '#eeeeee'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Bullet Hover Color', 'wipi')
					)
				),

				'fl-side-nav-icon-active-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Bullet Active Color', 'wipi')
					)
				),

				'fl-side-nav-text-bg-color' => array(
					'setting'   => array(
						'default'   => '#666666'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Text Background Color', 'wipi')
					)
				),
				'fl-side-nav-text-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Color_Control',
						'label'         => __('Text Color', 'wipi')
					)
				),
			)
		),


		/* Social Sharing Section */
		'fl-social-share' => array(
			'title'   => _x( 'Social Share', 'Customizer section title.', 'wipi' ),
			'options' => array(
				'show-social-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Social Share', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),

				'show-facebook-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Facebook', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-twitter-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Twitter', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-google-plus-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Google Plus', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-email-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Email', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-pinterest-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Pinterest', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-linkedin-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Linkedin', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-reddit-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Reddit', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
				'show-whatsapp-share' => array(
					'setting'   => array(
						'default'   => 'yes',
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'type'          => 'select',
						'label'         => __('Show Whatsapp', 'wipi'),
						'choices'       => array(
							'no' => __( 'No', 'wipi' ),
							'yes' => __( 'Yes', 'wipi' ),
						)
					)
				),
			)
		),
	)
));
