<?php

/* Footer Panel */
FLCustomizer::add_panel('fl-footer', array(
	'title'    => _x( 'Footer', 'Customizer panel title.', 'wipi' ),
	'sections' => array(

		/* Footer Widgets Layout Section */
		'fl-footer-widgets-layout' => array(
			'title'   => _x( 'Footer Widgets Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Footer Widgets Display */
				'fl-footer-widgets-display' => array(
					'setting'   => array(
						'default'   => 'all'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Footer Widgets Display', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'disabled'          => __('Disabled', 'wipi'),
							'all'               => __('All Pages', 'wipi'),
							'home'              => __('Homepage Only', 'wipi')
						)
					)
				)
			)
		),

		/* Footer Widgets Style Section */
		'fl-footer-widgets-style' => array(
			'title'   => _x( 'Footer Widgets Style', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Footer Widgets Background Color */
				'fl-footer-widgets-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),

				/* Footer Widgets Background Opacity */
				'fl-footer-widgets-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),	
				
				/* Footer Widgets Background Gradient */
				'fl-footer-widgets-bg-gradient' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Background Gradient', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'0'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'1'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),
				
				/* Footer Widgets Background Image */
				'fl-footer-widgets-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Footer Widgets Background Repeat */
				'fl-footer-widgets-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Footer Widgets Background Position */
				'fl-footer-widgets-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Footer Widgets Background Attachment */
				'fl-footer-widgets-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Footer Widgets Background Size */
				'fl-footer-widgets-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),
				
				/* Footer Widgets Text Color */
				'fl-footer-widgets-text-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Text Color', 'wipi')
					)
				),
				
				/* Footer Widgets Link Color */
				'fl-footer-widgets-link-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Link Color', 'wipi')
					)
				),
				
				/* Footer Widgets Hover Color */
				'fl-footer-widgets-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				)
			)
		),

		/* Footer Layout Section */
		'fl-footer-layout' => array(
			'title'   => _x( 'Footer Layout', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Footer Layout */
				'fl-footer-layout' => array(
					'setting'   => array(
						'default'   => '1-col'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Layout', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'none'          => __('None', 'wipi'),
							'1-col'         => __('1 Column', 'wipi'),
							'2-cols'        => __('2 Columns', 'wipi')
						)
					)
				),

				/* Line */
				'fl-footer-line1' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Footer Column 1 Layout */
				'fl-footer-col1-layout' => array(
					'setting'   => array(
						'default'   => 'text'
					),
					'control'   => array(
						'class'   => 'WP_Customize_Control',
						'label'   => sprintf( _x( 'Column %d Layout', '%d stands for column order number.', 'wipi' ), 1 ),
						'type'    => 'select',
						'choices' => array(
							'text'        => __('Text', 'wipi'),
							'social'      => __('Social Icons', 'wipi'),
							'social-text' => __('Text &amp; Social Icons', 'wipi'),
							'menu'        => __('Menu', 'wipi')
						)
					)
				),

				/* Footer Column 1 Text */
				'fl-footer-col1-text' => array(
					'setting'   => array(
						'default'   => '',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => sprintf( _x( 'Column %d Text', '%d stands for column order number.', 'wipi' ), 1 ),
						'type'  => 'textarea'
					)
				),

				/* Line */
				'fl-footer-line2' => array(
					'control'   => array(
						'class'         => 'FLCustomizerControl',
						'type'          => 'line'
					)
				),

				/* Footer Column 2 Layout */
				'fl-footer-col2-layout' => array(
					'setting'   => array(
						'default'   => 'text'
					),
					'control'   => array(
						'class'   => 'WP_Customize_Control',
						'label'   => sprintf( _x( 'Column %d Layout', '%d stands for column order number.', 'wipi' ), 2 ),
						'type'    => 'select',
						'choices' => array(
							'text'        => __('Text', 'wipi'),
							'social'      => __('Social Icons', 'wipi'),
							'social-text' => __('Text &amp; Social Icons', 'wipi'),
							'menu'        => __('Menu', 'wipi')
						)
					)
				),

				/* Footer Column 2 Text */
				'fl-footer-col2-text' => array(
					'setting'   => array(
						'default'   => '1-800-555-5555 &bull; <a href="mailto:info@mydomain.com">info@mydomain.com</a>',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class' => 'WP_Customize_Control',
						'label' => sprintf( _x( 'Column %d Text', '%d stands for column order number.', 'wipi' ), 2 ),
						'type'  => 'textarea'
					)
				)
			)
		),

		/* Footer Style Section */
		'fl-footer-style' => array(
			'title'   => _x( 'Footer Style', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Footer Background Color */
				'fl-footer-bg-color' => array(
					'setting'   => array(
						'default'   => '#ffffff'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Background Color', 'wipi')
					)
				),

				/* Footer Background Opacity */
				'fl-footer-bg-opacity' => array(
					'setting'   => array(
						'default'   => '100'
					),
					'control'   => array(
						'class'     => 'FLCustomizerControl',
						'label'     => __('Background Opacity', 'wipi'),
						'type'  => 'slider',
						'choices'     => array(
						    'min'  => 0,
						    'max'  => 100,
						    'step' => 1
						),
					)
				),	
				
				/* Footer Background Gradient */
				'fl-footer-bg-gradient' => array(
					'setting'   => array(
						'default'   => '0'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Background Gradient', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'0'             => _x( 'Disabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' ),
							'1'             => _x( 'Enabled', 'Used for multiple Customizer options values. Use generalized form of the word when translating.', 'wipi' )
						)
					)
				),
				
				/* Footer Background Image */
				'fl-footer-bg-image' => array(
					'setting'   => array(
						'default'   => ''
					),
					'control'   => array(
						'class'     => 'WP_Customize_Image_Control',
						'label'     => __('Background Image', 'wipi')
					)
				),

				/* Footer Background Repeat */
				'fl-footer-bg-repeat' => array(
					'setting'   => array(
						'default'   => 'no-repeat',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Repeat', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'no-repeat'  => __('None', 'wipi'),
							'repeat'     => __('Tile', 'wipi'),
							'repeat-x'   => __('Horizontal', 'wipi'),
							'repeat-y'   => __('Vertical', 'wipi')
						)
					)
				),

				/* Footer Background Position */
				'fl-footer-bg-position' => array(
					'setting'   => array(
						'default'   => 'center top',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Position', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'left top'      => __( 'Left Top', 'wipi' ),
							'left center'   => __( 'Left Center', 'wipi' ),
							'left bottom'   => __( 'Left Bottom', 'wipi' ),
							'right top'     => __( 'Right Top', 'wipi' ),
							'right center'  => __( 'Right Center', 'wipi' ),
							'right bottom'  => __( 'Right Bottom', 'wipi' ),
							'center top'    => __( 'Center Top', 'wipi' ),
							'center center' => __( 'Center', 'wipi' ),
							'center bottom' => __( 'Center Bottom', 'wipi' )
						)
					)
				),

				/* Footer Background Attachment */
				'fl-footer-bg-attachment' => array(
					'setting'   => array(
						'default'   => 'scroll',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Attachment', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'scroll'    => __('Scroll', 'wipi'),
							'fixed'     => __('Fixed', 'wipi')
						)
					)
				),

				/* Footer Background Size */
				'fl-footer-bg-size' => array(
					'setting'   => array(
						'default'   => 'auto',
						'transport' => 'postMessage'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Control',
						'label'     => __('Background Scale', 'wipi'),
						'type'      => 'select',
						'choices'   => array(
							'auto'      => __('None', 'wipi'),
							'contain'   => __('Fit', 'wipi'),
							'cover'     => __('Fill', 'wipi')
						)
					)
				),
				
				/* Footer Text Color */
				'fl-footer-text-color' => array(
					'setting'   => array(
						'default'   => '#808080'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Text Color', 'wipi')
					)
				),
				
				/* Footer Link Color */
				'fl-footer-link-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Link Color', 'wipi')
					)
				),
				
				/* Footer Hover Color */
				'fl-footer-hover-color' => array(
					'setting'   => array(
						'default'   => '#428bca'
					),
					'control'   => array(
						'class'     => 'WP_Customize_Color_Control',
						'label'     => __('Hover Color', 'wipi')
					)
				)
			)
		),
		/* Footer Parallax */
		'fl-footer-effect' => array(
			'title'   => _x( 'Footer Parallax', 'Customizer section title.', 'wipi' ),
			'options' => array(

				/* Footer Effect  */
				'fl-footer-parallax-effect' => array(
					'setting'   => array(
						'default'   => 'enable'
					),
					'control'   => array(
						'class'         => 'WP_Customize_Control',
						'label'         => __('Footer Parallax Effect', 'wipi'),
						'type'          => 'select',
						'choices'       => array(
							'disable'      => __('Disabled', 'wipi'),
							'enable'       => __('Enabled', 'wipi')
						)
					)
				)
			)
		)

	)
));
