( function( api, $, wpajax ) {

    api.sectionConstructor['section-pro'] = api.Section.extend( {

        handleAjaxClick: function(e) {
            var action = $(this).data('action'),
                self = $(this);

            if(!action)
                return;

            e.preventDefault();
            var text = self.html();
            self.html('<i class="spinner is-active"></i>').attr('disabled', true);

            $.ajax({
                url: wpajax.ajaxurl,
                method: 'POST',
                data: {
                    action: action,
                    _wpnonce: wpajax.nonce,
                },
                complete: function() {
                    self.html(text).removeAttr('disabled');
                }
            });
        },

        // No events for this type of section.
        attachEvents: function () {
            $(document).on('click', '.control-section-' + this.id + ' button', this.handleAjaxClick);
        },

        // Always make the section active.
        isContextuallyActive: function () {
            return true;
        }
    } );

} )( wp.customize, jQuery, wpajax );
